/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include "MHMessage.h"


/**
*
*/
void MHMessage::AddListener (MH* o) {
    for (int f = 0; f < aListeners.Size(); f++) {
        if (aListeners[f] == o) return;
    }
    aListeners.Push (o);
}



/**
*
*/
void MHMessage::Send (const MH* sender, const char* m1, const char* m2, const char* m3, void* m4) {
    for (int f = 0; f < aListeners.Size(); f++) {
        if (aListeners[f] != sender)
            aListeners[f]->Message (sender, m1, m2, m3, m4);
    }
}




/**
*
*/
void MHMessage::RemoveListener (MH* o) {
    for (int f = 0; f < aListeners.Size(); f++) {
        if (aListeners[f] == o) {
            aListeners.Pop (f);
            return;
        }
    }
}
