/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Fl_Defines_h
#define Fl_Defines_h

#ifdef WIN32
    #define SNPRINTF            _snprintf
    #define STRCASECMP          _stricmp
    #define STRNCASECMP(a,b,c)  _strnicmp (a, b, c)
#else
    #define SNPRINTF            snprintf
    #define STRCASECMP          strcasecmp
    #define STRNCASECMP(a,b,c)  _strnicmp (a, b, c)
#endif


#endif
