; -- Sample1.iss --
; Demonstrates copying 3 files and creating an icon.

; SEE THE DOCUMENTATION FOR DETAILS ON CREATING .ISS SCRIPT FILES!

[Setup]
OutputBaseFilename=xtrader-0.99.9.setup
AppName=XTrader
AppVerName=XTrader 0.99.9
AppCopyright=Copyright (C) 2001-2004 Mikael Hgdahl
DefaultDirName={pf}\XTrader
DefaultGroupName=XTrader
Uninstallable=yes
UninstallDisplayIcon={app}\xtrader.ico
Compression=bzip
LicenseFile=license.txt
AppPublisher=Mikael Hgdahl
AppPublisherURL=http://xtrader.sourceforge.net/
AppSupportURL=http://xtrader.sourceforge.net/
AppUpdatesURL=http://xtrader.sourceforge.net/
AppVersion=0.99.9

;[Components]
;Name: "main"; Description: "Main Files"; Flags: fixed

[Files]
Source: "xtrader\xtrader.exe"; DestDir: "{app}";
Source: "xtrader\xtrader.ico"; DestDir: "{app}";
Source: "xtrader\sample.xt"; DestDir: "{app}";

[UninstallDelete]
Type: filesandordirs; Name: "{app}\*"

[Icons]
Name: "{userdesktop}\XTrader"; Filename: "{app}\XTrader.exe"; WorkingDir: "{app}"; IconFilename: "{app}\xtrader.ico"
Name: "{group}\XTrader"; Filename: "{app}\XTrader.exe"; WorkingDir: "{app}"; IconFilename: "{app}\xtrader.ico"
Name: "{group}\Uninstall XTrader"; Filename: "{uninstallexe}"

[Tasks]
;Name: desktopicon; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Components: main
;Name: quicklaunchicon; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: main; Flags: unchecked


