/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include <Progress.h>

bool XTRADER_CANCEL_;
double XTRADER_CURRENT_;
double XTRADER_TOTAL_;

bool    xtrader_abort () {return XTRADER_CANCEL_;}
void    xtrader_add (double num) {XTRADER_CURRENT_ += num; xtrader_update ();}
void    xtrader_cancel () {XTRADER_CANCEL_ = true;}
double  xtrader_done () {if (XTRADER_TOTAL_ > 0.01) return (XTRADER_CURRENT_ / XTRADER_TOTAL_) * 100.0; else return 0.0;}
void    xtrader_reset (double total) {XTRADER_CURRENT_ = 0; XTRADER_TOTAL_ = total; XTRADER_CANCEL_ = false;}
