/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef ExportDlg_h
#define ExportDlg_h

#include <fl/Fl_Dialog.h>
#include <FL/Fl_Check_Button.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Return_Button.H>
#include <FL/Fl_Button.H>

class Report;



/**
*  Export database to XTrader import format.
*/
class ExportDlg : public Fl_Dialog {
public:
                            ExportDlg ();

    void                    cb1 ();
    void                    cb2 ();
    void                    cb3 ();
    void                    cb4 ();

private:
    Fl_Input*               aFile;
    Fl_Box*                 aSelectLabel;
    Fl_Check_Button*        aSecurity;
    Fl_Check_Button*        aSecurityList;
    Fl_Check_Button*        aPrice;
    Fl_Check_Button*        aAccount;
    Fl_Check_Button*        aTransaction;
    Fl_Check_Button*        aGuard;
    Fl_Check_Button*        aSettings;
    Fl_Return_Button*       aExport;
    Fl_Button*              aBrowse;
    Fl_Button*              aHelp;
    Fl_Button*              aClose;
};

#endif

