/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef SplitDlg_h
#define SplitDlg_h

#include <fl/Fl_Dialog.h>
#include <FL/Fl_Check_Browser.H>
#include <FL/Fl_Button.H>



/**
*  Export database to XTrader import format.
*/
class SplitDlg : public Fl_Dialog {
public:
                            SplitDlg ();

    void                    cb1 ();
    void                    cb2 ();
    void                    cb3 ();

private:
    Fl_Check_Browser*       aSet;
    Fl_Check_Browser*       aSplit;
    Fl_Button*              aCheck;
    Fl_Button*              aImport;
    Fl_Button*              aClose;
};

#endif

