/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef DownloadThread_h
#define DownloadThread_h

#include <pasync.h>

class MHVector;
class BaseDownload;



/**
*  Run download in a thread
*/
class DownloadThread : public pt::thread {
public:
                            DownloadThread ();

    int                     aDownloadType;
    const char*             aStart;
    const char*             aStop;
    MHVector*               aSecs;
    BaseDownload*           aLoad;
    const char*             aFileName;
    int                     aStatus;

protected:
    virtual void            execute ();

private:
};

#endif
