/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef EditView_h
#define EditView_h

#include <gui/BaseView.h>

class Fl_Hold_Browser;
class Fl_Table;
class Fl_Table_Data;



/**
*  EditView is main window object and manages the menu,
*  toolbar, statusbar, split window, navigator and tab window
*/
class EditView : public BaseView {
public:
                            EditView (const char* workSpace, int type, Fl_Table_Data* data, int x, int y, int w, int h, const char* label);
                            ~EditView ();

    bool                    CanClose ();
    void                    cbBrowser1 ();
    void                    cbBrowser2 ();
    void                    cbButton (Fl_Button* button);
    int                     handle (int event);

private:
    Fl_Table*               aTable;

    void                    enableButtons ();
};

#endif
