/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include "MH.h"
#include "MHVector.h"

#ifdef BUGG
int MH::aaReference = 0;
#endif


/**
*/
void MH::ClearChanged (MHVector* ve) {
    for (int f = 0; f < ve->Size(); f++)
        (*ve)[f]->IsChanged(false);
}



/**
*/
bool MH::IsVectorChanged (MHVector* ve) {
    for (int f = 0; f < ve->Size(); f++) {
        if ((*ve)[f]->IsChanged() == true)
            return true;
    }
    return false;
}
