/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Enums_h
#define Enums_h



enum XTRADER_THEME {
    XTRADER_PLASTIC_THEME = 0,
    XTRADER_FLTK_THEME,
    XTRADER_LAST_THEME,
};

enum XTRADER_FONT {
    XTRADER_DEFAULT_FONT = 1,
    XTRADER_FONT10       = 0,
    XTRADER_FONT12,
    XTRADER_FONT14,
    XTRADER_LAST_FONT,
};

enum XTRADER_CHART_LAYOUT {
    XTRADER_DEFAULT_LAYOUT = 0,
    XTRADER_SINGLE_LAYOUT  = 0 ,
    XTRADER_DOUBLE_LAYOUT,
    XTRADER_DOUBLE2_LAYOUT,
    XTRADER_TRIPLE_LAYOUT,
    XTRADER_TRIPLE2_LAYOUT,
    XTRADER_LAST_LAYOUT = XTRADER_TRIPLE2_LAYOUT,
};

enum XTRADER_CHART_WINDOW {
    XTRADER_DEFAULT_WINDOW = 0,
    XTRADER_WINDOW_TOP     = 0,
    XTRADER_WINDOW_TOP2,
    XTRADER_WINDOW_MIDDLE,
    XTRADER_WINDOW_MIDDLE2,
    XTRADER_WINDOW_BOTTOM,
    XTRADER_WINDOW_BOTTOM2,
    XTRADER_LAST_WINDOW = XTRADER_WINDOW_BOTTOM2,
};

enum XTRADER_DATE {
    XTRADER_NO_DATE = 0,
    XTRADER_START_DATE,
    XTRADER_STOP_DATE,
    XTRADER_BOTH_DATE,
};

enum XTRADER_MIN_MAX {
    XTRADER_NO                  =   0,
    XTRADER_YES                 =   1,
    XTRADER_DEFAULT_LINE_WIDTH  =   3,
    XTRADER_DEFAULTP_LINE_WIDTH =  10,
    XTRADER_MIN_LINE_WIDTH      =   2,
    XTRADER_MAX_LINE_WIDTH      =  20,
    XTRADER_MIN_VSPACE          =   0,
    XTRADER_MAX_VSPACE          =  20,
    XTRADER_DEFAULT_VSPACE      =   3,
    XTRADER_MIN_BSPACE          =   0,
    XTRADER_MAX_BSPACE          =  20,
    XTRADER_DEFAULT_BSPACE      =   9,
};

enum XTRADER_DOWNLOAD {
    XTRADER_DOWNLOAD_LATEST     =   1,
    XTRADER_DOWNLOAD_HISTORY    =   2,
    XTRADER_DOWNLOAD_UPDATE     =   3,
};


enum XTRADER_STATUS {
    XTRADER_READY               =   0,
    XTRADER_WORKING             =   1,
    XTRADER_DONE                =   2,
    XTRADER_ERROR               =   3,
    XTRADER_ERROR_NETWORK       =   4,
    XTRADER_ERROR_OPEN_FILE     =   5,
    XTRADER_ERROR_READING_FILE  =   6,
    XTRADER_ERROR_WRITING_FILE  =   7,
    XTRADER_CANCEL              =   8,
};

#endif
