/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef DateDlg_h
#define DateDlg_h

#include <fl/Fl_Dialog.h>
#include <FL/Fl_Input.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Return_Button.H>

class Report;



/**
*  Get date range from user.
*/
class DateDlg : public Fl_Dialog {
public:
                            DateDlg (const char* startDate, const char* stopDate);

    void                    cb1 () {aRetVal = 0;}
    void                    cb2 ();
    const char*             StartDate () {return aStart->value();};
    const char*             StopDate () {return aStop->value();};

private:
    bool                    checkDate (Fl_Input* input);
    bool                    checkDate2 (Fl_Input* input, Fl_Input* input2);

    Fl_Input*               aStart;
    Fl_Input*               aStop;
    Fl_Button*              aCancel;
    Fl_Return_Button*       aOk;
};

#endif

