/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef ProgressDlg_h
#define ProgressDlg_h

#include <fl/Fl_Dialog.h>
#include <MHDate.h>
#include <FL/Fl_Progress.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Button.H>


/**
*  A work progress dialog.
*/
class ProgressDlg : public Fl_Dialog {
public:
                            ProgressDlg (const char* message, int disableCancel = 1, int disableprogress = 0);
                            ~ProgressDlg () {hide (); delete aDate;}

    void                    cb1 ();
    void                    Value (double v, const char* message);

private:
    char                    aBuffer[100];
    char                    aBuffer2[100];
    int                     aDiff;
    double                  aStart;
    MHDate*                 aDate;
    Fl_Box*                 aInfo;
    Fl_Box*                 aInfo2;
    Fl_Button*              aCancel;
    Fl_Progress*            aProgress;

};

#endif
