/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef SelectDlg_h
#define SelectDlg_h

#include <fl/Fl_Dialog.h>
#include <FL/Fl_Browser.H>
#include <FL/Fl_Return_Button.H>
#include <FL/Fl_Button.H>

class ReportTypes;
class MHVector;



/**
*  A list choice selection dialog.
*/
class SelectDlg : public Fl_Dialog {
public:
                            SelectDlg (const char* label, ReportTypes* types);

    void                    cb1 () {aRetVal = 0;}
    void                    cb2 () {aRetVal = 1;}
    int                     Selection () {return aBrowser->value();}

private:
    Fl_Return_Button*       aSelect;
    Fl_Browser*             aBrowser;
    Fl_Button*              aCancel;
};

#endif
