/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef SetupDlg_h
#define SetupDlg_h

#include <fl/Fl_Dialog.h>
#include <FL/Fl_Group.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Browser.H>

class Fl_Table;



/**
*  The XTrader preference dialog box.
*/
class SetupDlg : public Fl_Dialog {
public:
                            SetupDlg (int layout = -1);
                            ~SetupDlg ();

    void                    cb1 ();
    void                    cb2 ();

private:
    Fl_Table*               aTable;
    Fl_Browser*             aPreference;
    Fl_Group*               aSettings;
    Fl_Button*              aClose;
};

#endif
