/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef ClosedDay_h
#define ClosedDay_h

#include "download/BaseDownload.h"
#include "Resource.h"

class Price;



/**
*  Download data from yahoo
*/
class ClosedDay : public BaseDownload {
public:
                            ClosedDay ();
                            ~ClosedDay ();

    bool                    CanHistory () {return true;}
    bool                    CanLatest () {return true;}
    const char*             Class () {return "ClosedDay";}
    virtual MHVector*       Load (int type, const char* start, const char* stop, Security* sec);
    static const char*      Name () {return STRING(CLOSED_TRADING_DAY);}

private:
};

#endif
