/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef License_h
#define License_h

//  This string is splitted in three parts because of msvc compiler

const char* aaLicense = "\n\
                 THE Q PUBLIC LICENSE\n\
                  version 1.0\n\
\n\
           Copyright (C) 1999-2000 Trolltech AS, Norway.\n\
               Everyone is permitted to copy and\n\
               distribute this license document.\n\
\n\
The intent of this license is to establish freedom to share and change the\n\
software regulated by this license under the open source model.\n\
\n\
This license applies to any software containing a notice placed by the\n\
copyright holder saying that it may be distributed under the terms of\n\
the Q Public License version 1.0.  Such software is herein referred to as\n\
the Software.  This license covers modification and distribution of the\n\
Software, use of third-party application programs based on the Software,\n\
and development of free software which uses the Software.\n\
\n\
                 Granted Rights\n\
\n\
1. You are granted the non-exclusive rights set forth in this license\n\
   provided you agree to and comply with any and all conditions in this\n\
   license.  Whole or partial distribution of the Software, or software\n\
   items that link with the Software, in any form signifies acceptance of\n\
   this license.\n\
\n\
2. You may copy and distribute the Software in unmodified form provided\n\
   that the entire package, including - but not restricted to - copyright,\n\
   trademark notices and disclaimers, as released by the initial developer\n\
   of the Software, is distributed.\n\
\n\
3. You may make modifications to the Software and distribute your\n\
   modifications, in a form that is separate from the Software, such as\n\
   patches. The following restrictions apply to modifications:\n\
\n\
     a. Modifications must not alter or remove any copyright notices in\n\
        the Software.\n\
\n\
     b. When modifications to the Software are released under this\n\
        license, a non-exclusive royalty-free right is granted to the\n\
        initial developer of the Software to distribute your modification\n\
        in future versions of the Software provided such versions remain\n\
        available under these terms in addition to any other license(s) of\n";

const char* aaLicense2 = "\n\
        the initial developer.\n\
\n\
4. You may distribute machine-executable forms of the Software or\n\
   machine-executable forms of modified versions of the Software, provided\n\
   that you meet these restrictions:\n\
\n\
     a. You must include this license document in the distribution.\n\
\n\
     b. You must ensure that all recipients of the machine-executable forms\n\
        are also able to receive the complete machine-readable source code\n\
        to the distributed Software, including all modifications, without\n\
        any charge beyond the costs of data transfer, and place prominent\n\
        notices in the distribution explaining this.\n\
\n\
     c. You must ensure that all modifications included in the\n\
        machine-executable forms are available under the terms of this\n\
        license.\n\
\n\
5. You may use the original or modified versions of the Software to\n\
   compile, link and run application programs legally developed by you\n\
   or by others.\n\
\n\
6. You may develop application programs, reusable components and other\n\
   software items that link with the original or modified versions of the\n\
   Software.  These items, when distributed, are subject to the following\n\
   requirements:\n\
\n\
     a. You must ensure that all recipients of machine-executable forms of\n\
        these items are also able to receive and use the complete\n\
        machine-readable source code to the items without any charge\n\
        beyond the costs of data transfer.\n\
\n\
     b. You must explicitly license all recipients of your items to use\n\
        and re-distribute original and modified versions of the items in\n\
        both machine-executable and source code forms. The recipients must\n\
        be able to do so without any charges whatsoever, and they must be\n\
        able to re-distribute to anyone they choose.\n\
\n\
\n\
     c. If the items are not available to the general public, and the\n\
        initial developer of the Software requests a copy of the items,\n\
        then you must supply one.\n\
\n\
                Limitations of Liability\n\
\n";

const char* aaLicense3 = "\n\
In no event shall the initial developers or copyright holders be liable\n\
for any damages whatsoever, including - but not restricted to - lost\n\
revenue or profits or other direct, indirect, special, incidental or\n\
consequential damages, even if they have been advised of the possibility\n\
of such damages, except to the extent invariable law, if any, provides\n\
otherwise.\n\
\n\
                      No Warranty\n\
\n\
The Software and this license document are provided AS IS with NO WARRANTY\n\
OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS\n\
FOR A PARTICULAR PURPOSE.\n\
                                 Choice of Law\n\
\n\
This license is governed by the Laws of Norway. Disputes shall be settled\n\
by Oslo City Court.\n\
";

#endif

