/**
*  Copyright Mikael H?gdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PrefDownloadData_h
#define PrefDownloadData_h

#include <table/BaseData.h>
#include <MHString.h>



/**
*  Supply data for editing applicaction preferences to the table widget.
*  Get data from database.
*/
class PrefDownloadData : public BaseData {
public:
                            PrefDownloadData ();
                            ~PrefDownloadData ();

    Fl_Align                align (int row, int col);
    const char*             Class () {return "PrefDownloadData";}
    const char**            choice (int row, int col, int& size, int& selected, char* label);
    int                     cols() {return 2;}
    FL_TABLE_EDITOR         editor_type (int row, int col, bool force_custom);
    int                     rows() {return 4;}
    bool                    value (const char* data, int row, int col);
    const char*             value (int row, int col);
    int                     width (int col);

private:
    char                    aBuffer[1000];
};

#endif
